mag1=$1
mag2=$2
dist0=$3
dat0=$4
inp=M${mag1}_all
awk -v m=$mag1 '$5>=m {print $0}' ../inp_files/M6.0_all_time_name > $inp
cp ../inp_files/plot_pairs.sh ../inp_files/plot_bins.sh ../inp_files/titlep ../inp_files/bin_mag .
dist10=`echo $dist0 | awk '{printf("%04d",$1)}'`
oup=M${mag1}_M${mag2}_D${dist10}km_T${dat0}_pairs
nevt=`wc $inp | awk '{print $1}'`
../inp_files/search_pairs_seq << EOD
$dist0 $dat0 $mag1 $mag2
$inp  $oup ${oup}_add
$nevt
EOD

sort -n -rk 1 $oup -o $oup
cp titlep xx
tr 'T' '\ \ ' < $oup >> xx
mv xx ${oup}.txt
echo ${oup}.txt
###
sort -n -rk 1 ${oup}_add -o ${oup}_add
cp titlep xx
tr 'T' '\ \ ' < ${oup}_add >> xx
mv xx ${oup}_add.txt
echo ${oup}_add.txt
rm *.ps $oup ${oup}_add

sh plot_pairs.sh $mag1 $mag2 $dist0 $dat0 ${oup}.txt
ndd=`echo $dist0 | awk '{print int($1/10)}' | awk '{if($1<=20) print 20; else print $1}'`
sh plot_bins.sh $mag1 $mag2 $dist0 $dat0 $ndd


##### dat0=21
dat0=21
oup=M${mag1}_M${mag2}_D${dist10}km_T${dat0}_pairs
nevt=`wc $inp | awk '{print $1}'`
../inp_files/search_pairs_seq << EOD
$dist0 $dat0 $mag1 $mag2
$inp  $oup ${oup}_add
$nevt
EOD
sort -n -rk 3 $oup -o $oup
cp titlep xx
tr 'T' '\ \ ' < $oup >> xx
mv xx ${oup}.txt
echo ${oup}.txt
###
sort -n -rk 1 ${oup}_add -o ${oup}_add
cp titlep xx
tr 'T' '\ \ ' < ${oup}_add >> xx
mv xx ${oup}_add.txt
echo ${oup}_add.txt
rm *.ps $oup ${oup}_add *.grd *.norm tmp

#sh plot_pairs.sh $mag1 $mag2 $dist0 $dat0 ${oup}.txt
sh plot_bins.sh $mag1 $mag2 $dist0 $dat0 $ndd
rm *.ps $oup ${oup}_add *.grd *.norm tmp
