gmtset ANNOT_FONT_PRIMARY Helvetica  HEADER_FONT_SIZE 16p HEADER_OFFSET -0.01c
gmtset ANNOT_FONT_SIZE 14p LABEL_FONT_SIZE 14p
gmtset ANNOT_OFFSET 0.075c LABEL_OFFSET 0.03c
gmtset INPUT_DATE_FORMAT yyyy-mm-dd
gmtset TIME_FORMAT_PRIMARY abbreviated CHAR_ENCODING ISOLatin1+
gmtset GRID_PEN_PRIMARY thin,--
gmtset TICK_LENGTH -0.125c
gmtset PLOT_DATE_FORMAT -o PLOT_DEGREE_FORMAT ddd
gmtset BASEMAP_TYPE plain


mag1=$1
mag2=$2
dist0=$3
dd0=$4
ndd=$5
dist10=`echo $dist0 | awk '{printf("%04d",$1)}'`

inp0=M${mag1}_M${mag2}_D${dist10}km_T${dd0}_pairs.txt
inp01=M${mag1}_M${mag2}_D${dist10}km_T${dd0}_pairs_add.txt
oup1=M${mag1}_M${mag2}_D${dist10}km_T${dd0}_stat
oup2=M${mag1}_M${mag2}_D${dist10}km_T${dd0}_stat_retro
if [ -e $oup1 ] ; then
rm $oup1
fi

d3=`echo $dist0 | awk '{print $1*1.01}'`
xs=`echo $d3 | awk '{if($1>=600) print "100"; else if ($1>250) print "50"; else if ($1>100) print "20"; else print "10"}'`
tcpt=tim.cpt
makecpt -T-0.2/${dd0}/0.1 -Cjet -D -Z -I > $tcpt 
ddd=`echo $dist0 $ndd | awk '{print $1/$2}' `
seq 1 $ndd | awk -v d=$ddd '{print ($1-1)*d, $1*d}' > distb
nb=`wc distb | awk '{print $1}'`
fig0=M${mag1}_M${mag2}_D${dist10}km_T${dd0}_bins_$ndd
inp33=bin_mag
nm=`wc $inp33 | awk '{print $1}'`
for ii in `seq 1 $nm`
do
    m1=`awk -v j=$ii 'NR==j {print $1}' $inp33`
    m2=`awk -v j=$ii 'NR==j {print $2}' $inp33`
    yy=`echo $m1 | awk '{if($1<7.0) print "23741"; else print "7304"}'`
    inp1=B${m1}_${m2}_M${mag1}_D${dist0}km_T${dd0}
    inp3=B${m1}_${m2}_M${mag1}_D${dist0}km_T${dd0}_retro
    awk -v m=$m1 -v n=$m2 -v y=$yy 'NR>1 && $14==m && $17>=y {print $0}' $inp0 > $inp1
    awk -v m=$m1 -v n=$m2 -v y=$yy 'NR>1 && $8==m && $17>=y {print $3,$4,$5,$6,$7,$8,$17}' $inp0 | sort -u > $inp3
    inp2=B${m1}_${m2}_M${mag1}_D${dist0}km_T${dd0}_all
    awk -v m=$m1 -v n=$m2 -v y=$yy 'NR>1 && $14==m && $17>=y {print $0}' $inp0 > $inp2
    awk -v m=$m1 -v n=$m2 -v y=$yy 'NR>1 && $14==m && $17>=y {print $0}' $inp01 >> $inp2

    nee=`wc $inp2 | awk '{print $1}'`

    n22=`awk '{print $3}' $inp1 | sort -u | wc | awk '{print $1}'`
    n12=`wc $inp2 | awk '{print $1}'`

    n1=`wc $inp1 | awk '{print $1}'`
    n0=`awk -v m=$m1 -v n=$m2 -v y=$yy '$5==m && $6>=y {print $0}'  M${mag1}_all  | wc  |awk '{print $1}'`

    n2=`awk -v m=$m1 -v y=$yy '$14>=m && $17>=y {print $0}' $inp0 | wc | awk '{print $1}'`
    n00=`awk -v m=$m1 -v y=$yy '$5>=m && $6>=y {print $0}' M${mag1}_all | wc | awk '{print $1}'`

    n3=`wc $inp3 | awk '{print $1}'`
    n4=`awk -v m=$m1 -v y=$yy '$8>=m && $17>y {print $3,$4,$5,$6,$7,$8}' $inp0 | sort -u | wc | awk '{print $1}'`

    n1per=`echo $n1 $n0 | awk '{if($1==0 || $2==0) print "0"; else printf("%.02f",$1/$2*100)}'` # from m1-m2
    n2per=`echo $n2 $n00 | awk '{if($1==0 || $2==0) print "0"; else printf("%.02f",$1/$2*100)}'` # mag > m1
    n3per=`echo $n3 $n0 | awk '{if($1==0 || $2==0) print "0"; else printf("%.02f",$1/$2*100)}'` # mag > m1
    n4per=`echo $n4 $n00 | awk '{if($1==0 || $2==0) print "0"; else printf("%.02f",$1/$2*100)}'` # mag > m1

    echo "*********" $nee $m1 $m2
    echo $m1 $m1 $dd0 $dist0 $n1 $n2 $n3 $n4 $n0 $n00 $n1per $n2per $n3per $n4per 
    echo $m1 $m1 $dd0 $dist0 $n1 $n2 $n3 $n4 $n0 $n00 $n1per $n2per $n3per $n4per >> $oup1 

    if [ $nee -gt 0 ] ; then

    if [ $nee -gt 2 ] ; then
       m3=`sort -n -k 8 $inp2 | awk 'NR==1 {print $8-0.15}'` 
       m4=`sort -n -rk 8 $inp2 | awk ' NR==1 {print $8+0.05}'`
    else 
       m3=`echo $m1 | awk '{print $1}'` 
       m4=`echo $m2 | awk '{print $1}'` 
    fi
    fig=fig_${m1}_${m2}
    echo "***********" $nee -R0/${d3}/${m3}/${m4}
    psbasemap -R0/${d3}/${m3}/${m4} -G240 -JX10i/3i -Ba${xs}f${ddd}:"Distance (km)":/a0.4f0.2g1:"E2 Magntiude":WSne:."E1 M${m1}-M${m2} (total $n0; $n1 E1; $n22 E2; $n12 pairs; $dd0 days; $dist0 km)": -K -X1i -Y4.3i > $fig.ps
    psscale -C$tcpt -N -D9.5i/3.6i/2i/0.10ih -E -O -Ba3f1:"@~D@~T (days)":S -K >> $fig.ps

    awk ' {print $15,$8,$16}' $inp2 | psxy -R -J -O -K -C$tcpt -Sc0.115i -W0.3p/0 >> $fig.ps 
    awk -v d=$dist0 ' $8>=7.0 {print $15+d*0.005,$8,"6 15 1 LM "substr($3,1,4)"_M"$8}' $inp2 | pstext -R -J -O -K -N >> $fig.ps 
    nn1=0
    for jj in `seq 1 $nb`
    do
        dist1=`awk -v j=$jj 'NR==j {print $1}' distb`
        dist2=`awk -v j=$jj 'NR==j {print $2}' distb`
	nn=`awk -v d=$dist1 -v t=$dist2 '$15>d && $15<=t {print $14,$15}' $inp2 | wc | awk '{print $1}'`
	nn1=`echo $nn $nn1 | awk '{if(($1*1.15+1)>$2) print $1*1.15+1; else print $2}'`
    done
    echo "nn1= " $nn1
    nys=`echo $nn1 | awk '{if($1<6) print "1.0"; else if ($1<12) print "2.0"; else if ($1<30) print "5.0"; else print "10"}'`
    psbasemap -R0/${d3}/0/${nn1} -J -Ba${xs}f${ddd}:"Distance (km)":/a${nys}:"Counts":WSne -G240 -O -K -Y-3.55i >> $fig.ps

    for jj in `seq 1 $nb`
    do
        dist1=`awk -v j=$jj 'NR==j {print $1}' distb`
        dist2=`awk -v j=$jj 'NR==j {print $2}' distb`
	dist=`echo $dist1 $dist2 | awk '{print ($2+$1)/2}'`
	ddist=`echo $dist1 $dist2 | awk '{print $2-$1}'`
	nn=`awk -v d=$dist1 -v t=$dist2 ' $15>d && $15<=t {print $14,$15}' $inp2 | wc | awk '{print $1}'`
	echo $dist $nn  | psxy -R -J -Sb${ddist}u -O -K -G255/0/0 -W1p/0 >> $fig.ps
	echo $dist $nn $nn1 | awk '$2>=1 {print $1,$2+$3*0.01, "8 0 3 CB ",$2}' | pstext -R -J -O -K -G0/0/255 >> $fig.ps 
	nn2=`awk -v d=$dist1 -v t=$dist2 '$15>d && $15<=t {print $14,$15}' $inp2 | wc | awk '{print $1}' `
	echo $dist $nn2 $nn1 $nn | awk '$4>=0 {print $1,$4-$3*0.01, "8 0 3 CT ",$2}' | pstext -R -J -O -K -G255 >> $fig.ps 
    done
    
    echo $dist0 $nn1 $n2per  $m1 $m2 $dd0 $dist0 | awk '{print $1*0.4,$2*0.95,"12 0 1 LM ",$3"% an M"$4"+ EQ had a larger EQ in "$6 " days within "$7" km"}' | pstext -R -J -O -K -G0/0/255  >> $fig.ps
    echo $dist0 $nn1 $n1per  $m1 $m2 $dd0 $dist0 | awk '{print $1*0.4,$2*0.875,"12 0 1 LM ",$3"% an M"$4"-"$5" EQ had a larger EQ in "$6 " days within "$7" km"}' | pstext -R -J -O -K -G0/0/255  >> $fig.ps
    
    pwd | psxy -R -J -O -H >> $fig.ps 
    cat $fig.ps >> ${fig0}.ps 
    rm $fig.ps $inp1 $inp2 $inp3
    fi
done
ps2pdf $fig0.ps 
#open $fig0.pdf &
rm $fig0.ps


